<!--#include file="../inc/Secure.htm"-->
<%dim ThisKey
ThisKey = "r"
%>
<!--#include file="../inc/permission.htm"-->
<!--#include file="../inc/conn.htm"-->
<!--#include file="../inc/dbtools.htm"-->
<HTML>
<HEAD>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link rel="stylesheet" type="text/css" href="../CSS/main.css">
</HEAD>
<BODY BGCOLOR="#FFFFFF" leftmargin=20 topmargin=5>
<BR>
<div align=center>
<table width="85%" border="0" cellspacing="0" cellpadding="0">
  <tr align="left"> 
	<td width="25%"><b>定义公文路径</b></td>
	<td width="25%"><a href="AddPath.htm"><b>添加新路径</b></a></td>
  </tr>
</table>
</div>

<BR>

<div align=center>
<table border=0 width="85%"><tr>
      <td> 
        <%
response.write "检索到现存的审批路径 共" & totalmessage & "条/" & totalpage & "页，每页"& maxmessage &"条"
if totalpage>0 then
	response.write "，第" & currentpage & "页　"
end if

if totalpage>1 then
	if currentpage>1 then%>
        上页　　 
        <%
	end if

	if currentpage+1<=totalpage then%>
        下页 
        <%
	end if
end if
%>
      </td>
    </tr></table></div>
<div align=center>
<table border=0 width="85%" cellspacing="1" cellpadding=3 bgcolor="#005AB5">
<tr bgcolor=#53A9FF>
<td width="18%">路径名</td>
<td>公文路径</td>
<td align=center width="10%">操作</td>
</tr>
<%
if isempty(msgArr) then
	response.write "<tr bgcolor=#FFFFFF><td colspan=4>暂时没有检索到任何条文。</td></tr>"
else
for i = 0 to UBound(msgArr,2)
if i mod 2 =0 then
	strColor="#FFFFFF"
else
	strColor="#E6F2FF"
end if
	strCheckName=trim(msgArr(2,i))
	strCheckStepName=trim(msgArr(3,i))
	arrName=split(strCheckName,".")
	arrStep=split(strCheckStepName,",")
%>

	<tr >
		<td nowrap><%=trim(msgArr(1,i))%></td>
		<td align=center>
			<table border=0 width="60%">
			<%if not isempty(ubound(arrName)) then
			for j=0 to ubound(arrName)%>
				<tr><td align=center><%="("&arrName(j)&")"&"——<font color=red>"&arrStep(j)&"</font>"%></td></tr>
				<tr><td align=center>|<br>|</td></tr>
			<%next%>
			<tr><td align=center>（结束）</td></tr>
			<%end if%>
			</table>
		</td>
		<td nowrap><a href="ManagePath.htm?todo=delete&SelectID=<%=trim(msgArr(0,i))%>" onclick="return CheckDelete();">删除</a></td>
	</tr>
<%
next
end if
%>
</table>
</div>
<BR><BR>

<div align=center>
<table border=0 width="85%" cellspacing="1" cellpadding=3 bgcolor="#005AB5">
<tr bgcolor=#FFFFFF>
<td colspan=2 align=center>流程现存步骤</td>
<td colspan=2><a href="Addstep.htm?ID=0">添加新步骤</a></td></tr>
<tr bgcolor=#53A9FF>
<td width="15%">步骤</td>
<td width="60%">说明</td>
<td colspan=2 align=center>操作</td>
</tr>
<%
set rs=Server.CreateObject("ADODB.RecordSet")
sql="select * from tblDocStep where Status=1 order by id"
rs.open sql,oConn
n=0
while not rs.eof
	n=n+1
	if n mod 2 =0 then
		strColor="#FFFFFF"
	else
		strColor="#E6F2FF"
	end if%>
	
		<tr>
			<td nowrap><%=trim(rs("Name"))%></td>
			<td nowrap><%=trim(rs("body"))%></td>
			
      <td nowrap>修改</td>
			
      <td nowrap>删除</td>
		</tr>
	
<%
rs.movenext
wend
rs.close
set rs=nothing
%>
</table>
</div>
<BR><BR>
</BODY>
</HTML>
<script language=javascript>
function CheckDelete()
{
//	document.NewsForm.cmdDelete.value !=""
	return confirm("确实删除吗？");
}
</script>
<%
Function GetTableValue(TableName,Field,ValueField,Value)
	if TableName<>"" and Value<>"" then
		Set RsTmp = Server.Createobject("Adodb.recordset")
		strSql = "Select "& Field &" from "& TableName &" where "& ValueField &"='"& Value &"'"
		Rstmp.open strSql,oConn,1,1
		If not Rstmp.eof then
			GetTableValue=trim(Rstmp(Field))
		else
			GetTableValue=""
		end if
		Rstmp.close
		'set RsTmp = Nothing
	else
		GetTableValue=""
	end if
End Function

%>
<!--#include file="../inc/conn_close.htm"-->
<script language=javascript>
function CheckDelete()
{
	return confirm("确实删除吗？");
}
</script>